BiblioDescription (BioJava-1.5-beta API)
Keywords: org.biojava.bibliography.BiblioDescription class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bibliography
Class BiblioDescription

    java.lang.Object
      org.biojava.bibliography.BiblioDescription

    public class BiblioDescription

extends Object

It represents an account of the content of the cited resource. It is either an abstract, or table of contents, or both. It can be written in a language different from the language of the cited resource.

Both abstract and table of contents can contain more than just a plain text, typically they may be expressed in a markup language. Their formats are defined according to the MIME specification.

Since:
  1.3
Version:
  $Id: BiblioDescription.java,v 1.3 2003/07/16 16:01:10 mrp Exp $
Author:
  Martin Senger

Field Summary
`String` | `abstractType` It specifies how `theAbstract` is coded.
`String` | `language` It defines a language used for `theAbstract` and `tableOfContents`.
`String` | `tableOfContents` It is a table of contents of the cited resource.
`String` | `tableOfContentsType` It specifies how `tableOfContents` is coded.
`String` | `theAbstract` It is an abstract of the cited resource.

Constructor Summary
`BiblioDescription()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### theAbstract

    public String theAbstract

  It is an abstract of the cited resource. It can be expressed as a plain text or in a markup language.

  See Also:
    `abstractType`

### abstractType

    public String abstractType

  It specifies how `theAbstract` is coded.

  If it is empty then `theAbstract` is coded as a plain text, using `us-ascii` coding. Otherwise, this attribute is equivalent to the Content-Type Header Field of the MIME specification, with exclusion of the keyword `Content-Type`. For example, it can contain `text/html`, or, using additional parameters, `text/plain; charset=us-ascii`.

  Often abstracts are also available from the same or separate repository as URLs. There are several ways to provide this information in the here described data model. The implementations may choose their own way and still remain compliant with this specification. However, the first approach, described below, is recommended to achieve interoperability between implementations.

  - Use here `text/url` and put the URL into `theAbstract` field.
  - Use here `text/plain; url=xxxxx` where xxxxx is a URL of the abstract (in this case `theAbstract` may still have a full or partial text of the abstract as a plain text).
  - Use here a multi-part (see MIME specification). In such case `theAbstract` will have both the full or partial abstract text, and a URL.
  - Put the URL into `BibRef.properties` using key `abstractURL`.

### tableOfContents

    public String tableOfContents

  It is a table of contents of the cited resource. It can be expressed as a plain text or in a markup language.

  See Also:
    `tableOfContentsType`

### tableOfContentsType

    public String tableOfContentsType

  It specifies how `tableOfContents` is coded.

  If it is empty then `tableOfContents` is coded as a plain text, using `us-ascii` coding. Otherwise, this attribute is equivalent to the Content-Type Header Field of the MIME specification, with exclusion of the keyword `Content-Type`.

  See Also:
    `abstractType for example`

### language

    public String language

  It defines a language used for `theAbstract` and `tableOfContents`. The recommended values are discussed in `BibRef.language`.

  Note that there is no mechanism how to specify different languages for the abstract and table of contents for one citation.

Constructor Detail

### BiblioDescription

    public BiblioDescription()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD